Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class PointsParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.NumberParser
              org.apache.batik.parser.PointsParser

All Implemented Interfaces:
  Localizable, Parser

    public class PointsParser

extends NumberParser

This class implements an event-based parser for the SVG points attribute values (used with polyline and polygon elements).

Field Summary
`protected boolean` | `eRead` Whether the last character was a 'e' or 'E'.
`protected PointsHandler` | `pointsHandler` The points handler used to report parse events.

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`PointsParser()` Creates a new PointsParser.

Method Summary
`protected void` | `doParse()` Parses the current stream.
`PointsHandler` | `getPointsHandler()` Returns the points handler in use.
`void` | `setPointsHandler(PointsHandler handler)` Allows an application to register a points handler.

Methods inherited from class org.apache.batik.parser.NumberParser
`buildFloat, parseFloat`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pointsHandler

    protected PointsHandler pointsHandler

  The points handler used to report parse events.

### eRead

    protected boolean eRead

  Whether the last character was a 'e' or 'E'.

Constructor Detail

### PointsParser

    public PointsParser()

  Creates a new PointsParser.

Method Detail

### setPointsHandler

    public void setPointsHandler(PointsHandler handler)

  Allows an application to register a points handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The transform list handler.

### getPointsHandler

    public PointsHandler getPointsHandler()

  Returns the points handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           IOException

  Parses the current stream.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.